#include<bits/stdc++.h>
using namespace std;

int main(){
	int a1, a2;
	string s;
	cin>>s;
	cin>>a1>>a2;
	
	if( abs( a2 - a1 ) > 1){
		cout<<"nemoguce";
		return 0;
	}
	if(a1 == a2){
		for(int i = 0; i < a1; i++){
			cout<<s[0]<<" "<<s[1]<<" ";
		}
		return 0;
	}
	if(a1 > a2){
		cout<<s[0];
		for(int i = 0; i < a2; i++){
			cout<<s[1]<<" "<<s[0]<<" ";
		}
		return 0;
	}
	if(a2 > a1){
		cout<<s[1];
		for(int i = 0; i < a2; i++){
			cout<<s[0]<<" "<<s[1]<<" ";
		}
		return 0;
	}
	return 0;
}